%   3 -  ' -  08

clear all; syms t
u(t) = heaviside(t);
ue(t) = 0.5 * ( u(t) + u(-t) );
uo(t) = 0.5 * ( u(t) - u(-t) );

subplot(311); 
ezplot(t, u(t), [-5,5]); grid on
title('u(t)'); ylim([-1,1.5]); 

subplot(312); 
ezplot(t, ue(t), [-5,5]);grid on
title('ue(t)'); ylim([-1,1.5]); 

subplot(313); 
ezplot(t, uo(t), [-5,5]); grid on
title('uo(t)'); ylim([-1,1.5]); 