%   3 -  ' -  10

clear all; syms t 
 
x(t) = exp(-2*t) * heaviside(t);
xe(t) = 0.5 * ( x(t) + x(-t) );
xo(t) = 0.5 * ( x(t) - x(-t) );
 
xe = simplify( xe(t) )
xo = simplify( xo(t) )
 
subplot(311); 
ezplot( x, [-2.5 2.5]); ylim([0 1]); grid on; title('x(t)')
subplot(312);  ezplot( xe ); 
grid on; title('xe(t)')
subplot(313); ezplot( xo ); 
grid on; title('xo(t)')